### A free/open-source library for quantitative finance

Public Member Functions
MakeMCDigitalEngine< RNG, S > Class Template Reference

Monte Carlo digital engine factory. More...

`#include <ql/pricingengines/vanilla/mcdigitalengine.hpp>`

List of all members.

## Public Member Functions

| MakeMCDigitalEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
MakeMCDigitalEngine & | withSteps (Size steps)
MakeMCDigitalEngine & | withStepsPerYear (Size steps)
MakeMCDigitalEngine & | withBrownianBridge (bool b=true)
MakeMCDigitalEngine & | withSamples (Size samples)
MakeMCDigitalEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCDigitalEngine & | withMaxSamples (Size samples)
MakeMCDigitalEngine & | withSeed (BigNatural seed)
MakeMCDigitalEngine & | withAntitheticVariate (bool b=true)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCDigitalEngine< RNG, S >

Monte Carlo digital engine factory.